Bug 118512 - Custom kernel with ACPI not possible
Custom kernel with ACPI not possible
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Paradis
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-17 04:19 EST by Jos Vos
Modified: 2013-08-05 21:04 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-18 12:15:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jos Vos 2004-03-17 04:19:21 EST
Description of problem:
With "make *config" no selection for ACPI can be made.  For some
reason the ACPI submenu, that should show up in "General setup", does
not exist (neither in xconfig or in menuconfig). This makes it more or
less impossible (or at least very difficult) to generate a custom
kernel with ACPI enabled, for people that really need this (like I
seem to do know, unfortunately :-(, as PCMCIA on my laptop seems to
depend on that for IRQ issues).

Version-Release number of selected component (if applicable):
2.4.21-9.0.1.EL

Additional comment:
A workaround is *highly* appreciated.
Comment 1 Jim Paradis 2004-03-18 12:15:54 EST
First of all, be aware that Red Hat does not support kernels built by
anyone other than Red Hat; customers who attempt to build their own
kernels are not entitled to Red Hat support for those kernels.

Second, RHEL3 on x86 has extremely limited ACPI support; its only
capability is SMP CPU discovery, and even that has to be enabled via a
kernel boot parameter (see arch/i386/kernel/acpitable.c and setup.c if
you're curious).  In particular, the full ACPI driver is *not* an
option for the x86 build.  RHEL3 only uses it on the ia64 and x86_64
platforms.

On the other hand, we do wish to help you solve your problem.  If you
could file a separate bug report detailing your specific PCMCIA issues
we may be able to help you there.
Comment 2 Jos Vos 2004-03-18 12:27:31 EST
See bug # 113198.  It was reported by someone else and I added my
comments to it this week and finally found out what was causing this
problem. Note that the original reporter and I have different hardware
(although you never know with notebook manufacturers ;-)), so it does
not seem to be a problem specific to one particular notebook.

Furthermore, many newer laptop seem to lack APM support and only have
ACPI, so also for that purpose ACPI is needed.
Comment 3 andreas.mack@konsec.com 2004-07-09 10:01:34 EDT
Same problem here:
Intel 810 + AC97 Audio, version 0.24, 00:17:29 Jul  5 2004
PCI: No IRQ known for interrupt pin C of device 00:02.7. Please try
using pci=biosirq.
i810: SiS 7012 found at IO 0x1800 and 0x1c00, MEM 0x0000 and 0x0000, IRQ 0
i810_audio: unable to allocate irq 0

pci=biosirq didn't help either:
Intel 810 + AC97 Audio, version 0.24, 00:17:29 Jul  5 2004
PCI: No IRQ known for interrupt pin C of device 00:02.7. Please try
using pci=biosirq.
i810: SiS 7012 found at IO 0x1800 and 0x1c00, MEM 0x0000 and 0x0000, IRQ 0
i810_audio: unable to allocate irq 0

Any hints would be greatly appreciated.
Comment 4 andreas.mack@konsec.com 2004-07-09 10:05:40 EDT
sorry, this is the output of pci=biosirq
Intel 810 + AC97 Audio, version 0.24, 00:17:29 Jul  5 2004
PCI: No IRQ known for interrupt pin C of device 00:02.7.
i810: SiS 7012 found at IO 0x1800 and 0x1c00, MEM 0x0000 and 0x0000, IRQ 0
i810_audio: unable to allocate irq 0

This is with a stock 2.4.26:
Intel 810 + AC97 Audio, version 0.24, 14:45:04 Jul  9 2004
PCI: Enabling device 00:02.7 (0000 -> 0001)
i810: SiS 7012 found at IO 0x1800 and 0x1c00, MEM 0x0000 and 0x0000, IRQ 5
i810_audio: Audio Controller supports 6 channels.
i810_audio: Defaulting to base 2 channel mode.
i810_audio: Resetting connection 0
ac97_codec: AC97 Audio codec, id: ALG16 (ALC200/200P)
i810_audio: AC'97 codec 0 supports AMAP, total channels =
2
Comment 5 Jos Vos 2004-07-09 12:07:59 EDT
There is no solution for this other than have a kernel with ACPI
support, which is existinbg for RHEL3.  A stock 2.4.x kernel with ACPI
patches works, but RHEL3 does not work on it (NPTL etc.).

I still have on my todo-list to see if we can create a kind of
community-supported (but not RH-supported, I understand this) kernel
rpm *with* x86 ACPI enabled for RHEL3. Volunteers that want to help
can contact me.
Comment 6 Barry K. Nathan 2004-07-09 22:34:37 EDT
It may be easier to just install Fedora Core 2 kernels on RHEL3 for
now. That gets you a kernel that works with RHEL3 as well as ACPI
support. (Note that to do this you'll also need the updated modutils
from <http://people.redhat.com/arjanv/2.6/>.)
Comment 7 andreas.mack@konsec.com 2004-07-15 10:30:29 EDT
Thanks for all the info, esp. Barry!
I've installed the FC*1* kernel now everything just works fine. No
upgrades of other components. I had to install it manually
(rpm2cpio -> cp -> edit grub.conf) because rpm threw away the
rhel kernel which I wanted to keep in case something went wrong.
Comment 8 Barry K. Nathan 2004-07-15 12:14:53 EDT
Yeah, I forgot the FC1 kernel would work. (On some laptops --
particularly Pentium-M a.k.a. Centrino laptops -- the ACPI in the FC2
kernel may work better, however. Not to mention, FC1 end-of-life is
quickly approaching...)

Note You need to log in before you can comment on or make changes to this bug.